#include <stdio.h>
#include <sys/types.h>

#include "netio.h" 

int
main(argc, argv)
	int argc;
	char **argv;
{
	FILE *fp;
	int pid, c;
	int s = -1;

	if (argc > 2)
		s = tcp_open(argv[1], atoi(argv[2]));

	if (s > 0) {
		if (sslc_init(0, 0, 0, -1, 1) < 0)
			exit(1);
		ssl_start(s, -1, 1);

		switch(pid = fork()) {
		case -1: perror("fork");
		case 0:
			fp = fdopen(s, "r");
			while ((c = getc(fp)) != EOF)
				putc(c, stdout);
			break;
		default:
			fp = fdopen(s, "w");
			while ((c = getc(stdin)) != EOF) {
				putc(c, fp);
				switch(c) {
				case '\r': case '\n':
					fflush(fp);
					break;
				}
			}
			shutdown(s, 1);
			wait(&c);
			break;
		}
		exit(0);
	}
	exit(1);
}
